// Copyright 2006 The Apache Software Foundation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.apache.tapestry.integration.app1.components;

import org.apache.tapestry.MarkupWriter;
import org.apache.tapestry.Renderable;
import org.apache.tapestry.annotations.CleanupRender;
import org.apache.tapestry.annotations.ComponentClass;
import org.apache.tapestry.annotations.Inject;
import org.apache.tapestry.annotations.SetupRender;
import org.apache.tapestry.services.Environment;

/**
 * 
 */
@ComponentClass
public class RenderableProvider
{
    @Inject("service:tapestry.Environment")
    private Environment _environment;

    @SetupRender
    void setup()
    {
        Renderable r = new Renderable()
        {
            public void render(MarkupWriter writer)
            {
                writer.element("strong");
                writer.write("A message provided by the RenderableProvider component.");
                writer.end();
            }
        };

        _environment.push(Renderable.class, r);
    }

    @CleanupRender
    void cleanup()
    {
        _environment.pop(Renderable.class);
    }
}
